---
title: DeviceOrientationEvent
slug: Web/API/DeviceOrientationEvent
tags:
  - API
  - Device Orientation API
  - Experimental
  - Interface
  - Reference
---
<p>{{apiref("Device Orientation Events")}}{{SeeCompatTable}}</p>

<p>The <code>DeviceOrientationEvent</code> provides web developers with information from the physical orientation of the device running the web page.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("DeviceOrientationEvent.DeviceOrientationEvent","DeviceOrientationEvent.DeviceOrientationEvent()")}}</dt>
 <dd>Creates a new <code>DeviceOrientationEvent</code>.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("DeviceOrientationEvent.absolute")}} {{readonlyinline}}</dt>
 <dd>A boolean that indicates whether or not the device is providing orientation data absolutely.</dd>
 <dt>{{domxref("DeviceOrientationEvent.alpha")}} {{readonlyinline}}</dt>
 <dd>A number representing the motion of the device around the z axis, express in degrees with values ranging from 0 (inclusive) to 360 (exclusive).</dd>
 <dt>{{domxref("DeviceOrientationEvent.beta")}} {{readonlyinline}}</dt>
 <dd>A number representing the motion of the device around the x axis, express in degrees with values ranging from -180 (inclusive) to 180 (exclusive). This represents a front to back motion of the device.</dd>
 <dt>{{domxref("DeviceOrientationEvent.gamma")}} {{readonlyinline}}</dt>
 <dd>A number representing the motion of the device around the y axis, express in degrees with values ranging from -90 (inclusive) to 90 (exclusive). This represents a left to right motion of the device.</dd>
 <dt>DeviceOrientationEvent.webkitCompassHeading {{readonlyinline}}</dt>
 <dd>A number represents the difference between the motion of the device around the z axis of the world system and the direction of the north, express in degrees with values ranging from 0 to 360.</dd>
 <dt>DeviceOrientationEvent.webkitCompassAccuracy {{readonlyinline}}</dt>
 <dd>The accuracy of the compass means that the deviation is positive or negative. It's usually 10.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js notranslate">window.addEventListener('deviceorientation', function(event) {
  console.log(event.alpha + ' : ' + event.beta + ' : ' + event.gamma);
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Device Orientation')}}</td>
   <td>{{Spec2('Device Orientation')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DeviceOrientationEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ event("deviceorientation") }}</li>
 <li>{{ domxref("DeviceMotionEvent") }}</li>
 <li>{{ event("devicemotion") }}</li>
 <li><a href="/en-US/docs/WebAPI/Detecting_device_orientation">Detecting device orientation</a></li>
 <li><a href="https://developer.mozilla.org/en/DOM/Orientation_and_motion_data_explained" title="Orientation and motion data explained">Orientation and motion data explained</a></li>
</ul>
